Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed Affected version: 3.2.0

Description

Since the upgrade to the 3.2.0 the cancel operation in the edit mode of an issue is simply doing nothing.

You can click on it but the GUI doesn't react.

Related issues:

Has duplicate Redmine - Defect #24756: Clicking Cancel in Issue edit page not... Closed

Associated revisions

Revision 16361 - 2017-03-03 18:21 - Jean-Philippe Lang

The cancel operation in the issue edit mode doesn't work (#21579).

Patch by Marius BALTEANU.

History

#1 - 2015-12-21 23:29 - Sven Culley

Could you provide more details regarding this issue?

I am using Google Chrome and everything works fine.

#2 - 2015-12-21 23:30 - Go MAEDA

- Status changed from New to Needs feedback

#3 - 2016-01-05 19:11 - Nils Grimm

I tested it again after Christmas and can't reproduce it any more.

I'm sorry, please close the ticket.

Thank and a happy new year.

#4 - 2016-01-06 05:54 - Go MAEDA

- Status changed from Needs feedback to Closed

- Priority changed from High to Normal

- Resolution set to Invalid

Thanks for your feedback. Closing.

Have a great new year.

#5 - 2016-07-21 16:06 - Sonia Zh

Hello,

I have the cancel operation in the edit mode of an issue as well but I don't know if this is the same bug you had.

It does not happen all the time:

if you are displaying the edit form through the edit or update method in the issues_controller, your cancel button won't work.

if the edit form came from a render through another view or action such as show method in the issues_controller, then your cancel button will

work.

In another word, here are the steps to reproduce the 'bug':

Lets consider your issue id: #123

go to: http://yourRedmine.com/issues/123/edit
the cancel operation won't do anything

I have corrected it but I don't know it this is a good practice... If you have another way, please share it ^^

I replace in app/views/issues/_edit.html.erb:

    <%= f.hidden_field :lock_version %>

    <%= hidden_field_tag 'last_journal_id', params[:last_journal_id] || @issue.last_journal_id %>

    <%= submit_tag l(:button_submit) %>

    <%= preview_link preview_edit_issue_path(:project_id => @project, :id => @issue), 'issue-form' %>

    | <%= link_to l(:button_cancel), {}, :onclick => "$('#update').hide(); return false;" %>

BY:

    <%= f.hidden_field :lock_version %>

    <%= hidden_field_tag 'last_journal_id', params[:last_journal_id] || @issue.last_journal_id %>

    <%= submit_tag l(:button_submit) %>

    <%= preview_link preview_edit_issue_path(:project_id => @project, :id => @issue), 'issue-form' %>

    | 

    <% if params[:action] == "show" %>

      <%= link_to l(:button_cancel), {}, :onclick => "$('#update').hide(); return false;" %>

    <% else %>

      <%= link_to l(:button_cancel), issue_path(id: @issue.id) %>

    <% end %>

#6 - 2016-08-20 04:47 - Toshi MARUYAMA

- Status changed from Closed to Confirmed

- Resolution deleted (Invalid)

sonia zh wrote:

go to: http://yourRedmine.com/issues/123/edit

 I can confirm from bulk edit.

#7 - 2017-01-04 16:10 - Go MAEDA

- Has duplicate Defect #24756: Clicking Cancel in Issue edit page nothing happens. added

#8 - 2017-01-04 16:15 - Go MAEDA

Steps to reproduce from #24756:

From the issue list,

Select one issue row,

Right click and Edit

In the edit page of a single issue, Click Cancel. Nothing happens.

#9 - 2017-02-09 07:09 - Charlene Chen

It is easy to fix this.

What I did was adding a new js function to replace the one used in /issues/_edit.html.erb

<%= link_to l(:button_cancel), {}, :onclick => "buttonCancel(event); return false;" %>

<%= javascript_tag do %>

    function buttonCancel(event) {

        if($('#update').length){

            $('#update').hide();

        } else {

            var url = $(location).attr('href');

            var redirect = url.substr(url.lastIndexOf('/')+1) == 'edit' ? url.substr(0, url.lastIndexOf('/')) 

: url;

            $(location).attr('href', redirect);

        }

    }

<% end %>
#10 - 2017-02-19 14:24 - Marius BĂLTEANU

- File rm_21579_fix_cancel_edit_link_for_issues.patch added

Here is a patch with tests that fixes this issue.

#11 - 2017-02-20 13:56 - Go MAEDA

- Target version set to 3.4.0

The patch submitted by Marius BALTEANU works fine for me. Thanks for fixing the problem.

Setting target version to 3.4.0.

#12 - 2017-03-03 18:21 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks.

Files

rm_21579_fix_cancel_edit_link_for_issues.patch 1.81 KB 2017-02-19 Marius BĂLTEANU
